Activity log for bug #1400906

Date Who What changed Old value New value Message
2014-12-09 22:24:45 Ahmet Sezgin DURAN bug added bug
2014-12-09 23:18:59 Launchpad Janitor branch linked lp:~marjinal1st/ubuntu/trusty/python-sfml/bugfix
2014-12-09 23:41:02 Ahmet Sezgin DURAN description In the v1.3 release of the library, there's a bug in "intersects" method of the Rectangle class, here: http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/vivid/python-sfml/vivid/view/head:/src/sfml/graphics.pyx#L188 Also in the original source code on Github: https://github.com/Sonkun/python-sfml/blob/bb9e11918508e8f38c5a308a36aaeda72896a635/src/sfml/graphics.pyx#L188 It makes "intersects" method to fail. Like this: >>> a.global_bounds.intersects(b.global_bounds) Traceback (most recent call last): File "<stdin>", line 1, in <module> File "graphics.pyx", line 188, in sfml.graphics.Rectangle.intersects (src/sfml/graphics.cpp:4717) File "graphics.pyx", line 97, in sfml.graphics.Rectangle.__init__ (src/sfml/graphics.cpp:2489) TypeError: __init__() takes at most 2 positional arguments (4 given) It's been fixed with latest commits on Github. Please update to latest version: https://github.com/Sonkun/python-sfml In the v1.3 release of the library, there's a bug in "intersects" method of the Rectangle class, here: http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/vivid/python-sfml/vivid/view/head:/src/sfml/graphics.pyx#L188 Also in the original source code on Github: https://github.com/Sonkun/python-sfml/blob/bb9e11918508e8f38c5a308a36aaeda72896a635/src/sfml/graphics.pyx#L188 It makes "intersects" method to fail. Like this: >>> a.global_bounds.intersects(b.global_bounds) Traceback (most recent call last):   File "<stdin>", line 1, in <module>   File "graphics.pyx", line 188, in sfml.graphics.Rectangle.intersects (src/sfml/graphics.cpp:4717)   File "graphics.pyx", line 97, in sfml.graphics.Rectangle.__init__ (src/sfml/graphics.cpp:2489) TypeError: __init__() takes at most 2 positional arguments (4 given)
2014-12-25 20:44:27 Launchpad Janitor python-sfml (Ubuntu): status New Confirmed
2014-12-25 20:53:01 Russell Ballestrini bug added subscriber Russell Ballestrini
2015-02-10 18:29:22 Brian Murray python-sfml (Ubuntu): importance Undecided High
2015-02-10 18:29:24 Brian Murray python-sfml (Ubuntu): status Confirmed Triaged
2015-02-10 18:29:40 Brian Murray tags trusty utopic vivid
2015-05-18 12:54:55 James Cowgill python-sfml (Ubuntu): status Triaged Fix Committed
2015-05-18 12:54:55 James Cowgill python-sfml (Ubuntu): assignee James Cowgill (jcowgill)
2015-05-19 00:10:55 Launchpad Janitor python-sfml (Ubuntu): status Fix Committed Fix Released
2015-05-26 22:52:29 Launchpad Janitor branch linked lp:debian/python-sfml
2015-05-26 22:52:31 Launchpad Janitor branch linked lp:ubuntu/python-sfml